Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

My father runs Ubuntu and wants to be able to use the Gnome photo manager, F-Spot, to email photos. However, he must use Gmail as his client because (a) it's the only client he knows how to use and (b) his ISP refuses to reveal his SMTP password.

I've got as far as setting up Firefox to use GMail to handle mailto: links and I've also configured firefox as the system default mailer using gnome-default-applications-properties. F-Spot presents a mailto: URL with an attach=file:///tmp/mumble.jpg header. So here's the problem: the attachment never shows up. I can't tell if Firefox is dropping the attachment header, if GMail doesn't support the header, or what.

I've learned that:

  • There's no official header in the mailto: URL RFC that explains how to add an attachment.

  • I can't find documentation on how Firefox handles mailto: URLs that would explain to me how to communicate to Firefox that I want an attachment.

  • I can't find any documentation for GMail's URL API that would enable me to tell GMail directly to start composing a message with a given file as an attachement.

I'm perfectly capable of writing a shell script to interpolate around F-Spot to massage the URL that F-Spot presents into something that will coax Firefox into doing the right thing. But I can't figure out how to persuade Firefox to start composing a GMail message with a local file attached. Any help would be greatly appreciated.

share|improve this question

1 Answer 1

up vote 3 down vote accepted

A quick search turned up this tool for using Gmail as a "proper" email client in Gnome. For attachments they employ a small trick: the message is composed offline and then uploaded via IMAP. If you do not want to use this exact script for you setup extracting this functionality shouldn't be too hard -- the source is 500 lines Python code for the whole program.

share|improve this answer
    
Seems perfect; thanks so much. Unfortunately it won't install on Hardy as it wants python 2.6. Grrrrr! –  Norman Ramsey Apr 25 '10 at 23:23

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.